﻿/*'##############################################################################
' THIS IS A NUGET MANAGED FILE
'##############################################################################
'##############################################################################
'    Protocol:         N/A
'    Purpose:          Style sheet page for the participant area
'    Documentation:    https://wiki.jaeb.org/Dev/index.php/Website_Configuration_Specification_-_System_Specifications_for_Jaeb.Net
'##############################################################################
*/
body {
    /*background: rgb(28, 69, 126); */
    background: rgb(255,255,255);
    font: 12pt Arial, Sans-Serif;
    color: rgb(102, 102, 102);
    font-size-adjust: none;
    -webkit-text-size-adjust: none;
    font-stretch: normal;
}

    body div {
        margin: 0;
        padding: 0;
        outline: 0;
        border: 0 currentColor;
        font-size: 100%;
        vertical-align: baseline;
    }

h2 {
    margin: 0;
    padding: 0;
    outline: 0;
    border: 0 currentColor;
    font-size: 100%;
    vertical-align: baseline;
    color: rgb(0, 139, 139);
    font-size: 16pt;
    font-weight: bold;
    margin-bottom: 20px;
    word-wrap: break-word;
}

h3 {
    margin: 0;
    padding: 0;
    outline: 0;
    border: 0 currentColor;
    font-size: 100%;
    vertical-align: baseline;
}

p {
    margin: 0;
    padding: 0;
    outline: 0;
    border: 0 currentColor;
    font-size: 100%;
    vertical-align: baseline;
}

[type="radio"]:not(.radio-button) {
    -webkit-appearance: radio;
    -moz-appearance: radio;
    appearance: radio;
    height: 20px;
    width: 20px;
    vertical-align: sub;
    margin-left: 10px;
    margin-bottom: 5px;
}

[type="checkbox"]:not(.checkbox) {
    -webkit-appearance: checkbox;
    -moz-appearance: checkbox;
    appearance: checkbox;
    height: 20px;
    width: 20px;
    vertical-align: sub;
}

hr {
    height: 2px;
    position: relative;
    border-top: solid 1px rgb(225, 225, 225);
    top: 2px;
    left: -2px;
    border-left-style: none;
    border-left-color: inherit;
    border-left-width: 0;
    border-right-style: none;
    border-right-color: inherit;
    border-right-width: 0;
    border-bottom-style: none;
    border-bottom-color: inherit;
    border-bottom-width: 0;
}


.FormView {
    width: 100%;
}

.Module {
    margin: 0 0 auto auto;
    padding: 0;
    width: 95%;
    max-height: 999999px;
}

    .Module h3 {
        margin: 0;
        padding: 0;
        outline: 0;
        border: 0 currentColor;
        font-size: 12pt;
        vertical-align: baseline;
        color: rgb(0,0,0);
        word-wrap: break-word;
    }



.Button {
    padding: 8px 15px;
    /* ReSharper disable once CssBrowserCompatibility */
    /* ReSharper disable once CssPropertyDoesNotOverrideVendorProperty */
    border-radius: 4px;
    border: 1px solid rgb(0, 139, 139);
    color: rgb(255, 255, 255);
    font-family: Arial,sans-serif;
    font-size: 12pt;
    font-weight: bold;
    text-decoration: none;
    display: inline-block;
    cursor: pointer;
    /* ReSharper disable once CssPropertyDoesNotOverrideVendorProperty */
    box-shadow: inset 0 1px 0 rgb(0, 139, 139);
    background-color: rgb(0, 139, 139);
    -webkit-border-radius: 4px;
    -webkit-box-shadow: inset 0 1px 0 rgb(0, 139, 139);
    text-shadow: 0 -1px 0 rgb(0, 139, 139);
    -webkit-font-smoothing: antialiased;
    height: 43px;
}

.DisabledButton {
    padding: 8px 15px;
    /* ReSharper disable once CssBrowserCompatibility */
    /* ReSharper disable once CssPropertyDoesNotOverrideVendorProperty */
    border-radius: 4px;
    border: 1px solid #DEEFEF;
    color: rgb(0, 139, 139);
    font-family: Arial,sans-serif;
    font-size: 12pt;
    font-weight: bold;
    text-decoration: none;
    display: inline-block;
    cursor: pointer;
    /* ReSharper disable once CssPropertyDoesNotOverrideVendorProperty */
    box-shadow: inset 0 1px 0 #DEEFEF;
    background-color: #DEEFEF;
    -webkit-border-radius: 4px;
    -webkit-box-shadow: inset 0 1px 0 #DEEFEF;
    text-shadow: 0 -1px 0 #DEEFEF;
    -webkit-font-smoothing: antialiased;
    height: 43px;
    font-size-adjust: none;
    -webkit-text-size-adjust: none;
}

/*body div.content-wrapper {
    moved to master page and controlled by base page property setting
}*/

section.main-content {
    margin-right: auto;
    margin-left: auto;
    zoom: 1;
    width: 95%;
    max-width: 1024px;
}

.LoginHeaderDiv {
    margin: 0 0 10px;
    /* ReSharper disable once CssBrowserCompatibility */
    border-radius: 20px 20px;
    max-width: 95%;
    text-align: center;
    border: 1px solid rgb(28, 69, 126);
    background-color: rgb(255, 255, 255);
}


body a {
    font-weight: bold;
    /*text-decoration: none;*/
}


.instruction {
    font-style: italic;
}

.question {
    font-weight: bold;
}

.confirmationAnswer {
    font-weight: bold;
    color: rgb(0, 139, 139);
}

.warningMessage {
    font-weight: bold;
    color: rgb(255,102,0)
}

.ghosted {
    color: lightgrey;
}

.detailsViewHeaderLabel {
    font-weight: bold;
    padding-top: 4px;
    padding-bottom: 4px;
}

.questionTableSpacing {
    margin-top: 10px;
    vertical-align: baseline;
}


.questionScaleQuestion {
    width: 100%;
    height: auto;
    vertical-align: top;
    padding: 10px 10px 10px 10px;
}

.questionScaleQuestionBordered {
    width: 100%;
    height: auto;
    vertical-align: top;
    padding: 10px 10px 10px 10px;
    border: solid;
    border-width: thin;
}

.questionScaleTable {
    margin-top: 0;
    width: 100%;
}



.questionScaleAnswer {
    vertical-align: top;
    padding: 10px 30px 10px 10px;
    white-space: nowrap;
}

.questionScaleAnswerBordered {
    vertical-align: top;
    padding: 10px 30px 10px 10px;
    border: solid;
    border-width: thin;
    white-space: nowrap;
}

.radioButtonListHorizontal {
   
    margin-right:10px;
}

.radioButtonListVertical {
    margin-bottom: 5px;
}

.questionScaleHdrBordered {
    border: solid;
    border-width: thin;
}


.questionScaleHdrTable {
    margin-top: 0;
    margin-left: 15px;
}

.questionScaleAnswerHdr {
    font-weight: bold;
    vertical-align: top;
    text-align: center;
    font-size: smaller;
    width: 60px;
    padding-left: 4px;
    padding-right: 4px;
}

.radiobuttonListScaleAnswers input[type="radio"] {
    margin-left: 25px;
    white-space: nowrap;
}


.questionScaleRow {
    background-color: #E9E9E9;
}

.customValidator {
    color: red;
    font-weight: bold;
    padding-left: 5px;
    white-space: nowrap;
}

/* added when .NET 3.5 rendering setting removed, dynamically assigned via JavaScript in MasterPage to validators */
.standardValidatorMessage {
    color: red;
    font-weight: bold;
    padding-left: 5px;
}

/* styles for use with EQ surveys due to copyright.  All styles prefixed with EQ */
.eqBody {
    /*background: rgb(28, 69, 126); */
    background: rgb(255,255,255);
    font-family: "Arial";
    color: black;
    font-size-adjust: none;
    font-stretch: normal;
}

.eqButton {
    display: inline-block;
    position: relative;
    width: 132px;
    line-height: 50px;
    border: 2px solid #8c95a2;
    margin-bottom: 20px;
    margin-top: 50px;
    font-size: 12pt;
    background: white;
    color: black;
    border-radius: 3px;
}

.eConsentP {
    padding-bottom: 10px;
}

.eConsentBoldP {
    padding-bottom: 10px;
    font-weight: bold;
}

.LockOff {
    display: none;
    visibility: hidden;
}

.LockOn {
    display: block;
    visibility: visible;
    position: absolute;
    z-index: 999;
    top: 0px;
    left: 0px;
    width: 100%;
    height: 100%;
    background-color: #ccc;
    padding-top: 20%;
    filter: alpha(opacity=75);
    opacity: 0.75;
}

.LockPaneText {
    width: 55%;
    background-color: #3300CC;
    color: White;
    font-size: large;
    border: solid 3px White;
    padding: 9px 9px 9px 20px;
    margin-left: auto;
    margin-right: auto;
}